Account Moderation Note Create
Create an internal moderation note for an account. Notes are immutable and always include the author and timestamp for auditing.
/accounts/{account_id}/moderation-notesCreate an internal moderation note for an account. Notes are immutable and always include the author and timestamp for auditing.
In: cookie
Path Parameters
Account ID.
xidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/accounts/cc5lnd2s1s4652adtu50/moderation-notes" \ -H "Content-Type: application/json" \ -d '{ "content": "string" }'{
"id": "cc5lnd2s1s4652adtu50",
"created_at": "2019-08-24T14:15:22Z",
"author": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
},
"content": "string"
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Account Manage Update Email Verified Status PATCH
Override the verified status of an email address. This is intended for admin and integration driven account management and is not intended to be used for normal verification flows. Changing the verified status of an email address here will not trigger any verification emails or other side effects, it will simply set the field to the provided value.
Account Moderation Note Delete DELETE
Delete an internal moderation note for an account.